<?php
include 'config/conexion_combo.php';
conectar();
session_start();
if (!$_SESSION){
echo '<script language = javascript>
self.location = "index.php"
</script>';
}
$usuario = $_SESSION['persona'];
$consulta= "SELECT nombres_per, apellidos_per,id_per FROM persona WHERE id_per='".$usuario."'"; 
$resultado= mysql_query($consulta);
$fila=mysql_fetch_array($resultado);
$nombres = $fila['nombres_per']; $apellidos = $fila['apellidos_per']; $id_usuario=$fila['id_per'];
$tusuario = $_SESSION['seguridad'];
$consulta= "SELECT tipo_tip FROM tipo_usuario WHERE id_tip='".$tusuario."'"; 
$resultado= mysql_query($consulta);
$fila=mysql_fetch_array($resultado);
$usuario = $fila['tipo_tip'];
?>
<?php
require('functions.php');
if(isset($_POST['submit'])){
	require('clases/cliente.class.php');

	$fecha_nacimiento = htmlspecialchars(trim($_POST['fecha_nacimiento']));
	$hora = htmlspecialchars(trim($_POST['hora']));
	$entrevistador = htmlspecialchars(trim($_POST['entrevistador']));
	$id_aspi = htmlspecialchars(trim($_POST['id_aspi']));
	$estado_ent = htmlspecialchars(trim($_POST['estado_ent']));
	$objCliente=new Cliente;
	if ($objCliente->insertar_entrevista(array($hora,$fecha_nacimiento,$entrevistador,$id_aspi,$estado_ent)) == true  and $objCliente->actualizar_estado_ent(array($estado_ent,$id_aspi))==true){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
}else{
//echo "<head><link href='css/estilo.css' rel='stylesheet' type='text/css' /></head>";
?>
			
<script type='text/javascript' src="letras.js"></script> 

</p><br />
<form id="frmClienteNuevo" name="frmClienteNuevo" method="post" action="nuevo_aspirante.php" onsubmit="Grabar_entrevista(); return false">
  <p>
    <input type="hidden" name="id_aspi" id="id_aspi" value="<?php echo $_GET['id_asp'] ?>" />
    <input type="hidden" name="estado_ent" id="estado_ent" value="5"/>
  <p>
      <label><span class="obl">*</span>Fecha de entrevista<a onclick="show_calendar()" style="cursor: pointer;">
      <span class="msjc">(Abrir Calendario)</span>
      </a><br />
        <input readonly title="INGRESE LA FECHA DE  LA ENTREVISTA" class="inputxt2" type="text" name="fecha_nacimiento" id="fecha_nacimiento" value="<?php echo date("Y-m-j")?>" required/>
        <div id="calendario" style="display:none;"><?php calendar_html() ?></div>
      </label>
      </p>
    </p>
     <p><span class="obl">*</span>Hora:</p>
  <p>
    <input type="text" name="hora" id="hora" title="INGRESE LA HORA" class="inputxt2" placeholder="" required/>
  </p>
  <p>
  <p><span class="obl">*</span>Entrevistador:</p>
    <p>
    <select name="entrevistador" id="entrevistador">
            <option>Seleccione el entrevistador</option>
              <?php
			  include 'conexion.php';
           conectar();  
				   $consulta3 = "select id_per,concat(nombres_per,' ',apellidos_per) from persona where genero_per=7 order by apellidos_per ASC";
								$resultado3= mysql_query($consulta3);
								if($fila3=mysql_fetch_array($resultado3)){
									do{
										 echo "<option value='".$fila3[0]."'>".utf8_encode($fila3[1])."</option>";
									}while($fila3 = mysql_fetch_array($resultado3));
								}
								desconectar();
							?>  </select> </p>

  </p>  
  <p>
    <input type="submit" name="submit" id="button" value="Guardar" class="btnform"/>
    <label></label>
    <input type="button"  name="cancelar" id="cancelar" value="Cancelar" onclick="Cancelar()" class="btnform"/>
    <label class="msjobl">Los campos marcados con <span class="obl">*</span> son obligatorios</label>
    </p>
</form>
<?php
}

?>